cascading.tuple

## Class Tuples

- java.lang.Object
- - cascading.tuple.Tuples

-     public class Tuples
      extends java.lang.Object

  Class Tuples is a helper class providing common methods to manipulate `Tuple` and `TupleEntry` instances.
  See Also:
    `Tuple`, `TupleEntry`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuples()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object[]` | `asArray(Tuple tuple, CoercibleType[] coercions, java.lang.Class[] types, java.lang.Object[] destination)`
    `static <T> T[]` | `asArray(Tuple tuple, T[] destination)` Method asArray copies the elements of the given Tuple instance to the given Object array.
    `static java.util.Collection` | `asCollection(Tuple tuple)`
    `static <T extends Tuple> T` | `asModifiable(T tuple)` Method asModifiable marks the given Tuple instance as modifiable.
    `static <T extends Tuple> T` | `asUnmodifiable(T tuple)` Method asUnmodifiable marks the given Tuple instance as unmodifiable.
    `static Tuple` | `create(java.util.List<java.lang.Object> arrayList)`
    `static Tuple` | `extract(TupleEntry tupleEntry, Fields selector)` Method extract creates a new Tuple from the given selector, but sets the values in the current tuple to null.
    `static Tuple` | `extractTuple(TupleEntry tupleEntry, Fields selector)` Method extractTuple returns a new Tuple based on the given selector.
    `static int` | `frequency(TupleEntry tupleEntry, java.lang.Object value)` Method frequency behaves the same as `Collections.frequency(java.util.Collection, Object)`.
    `static int` | `frequency(Tuple tuple, java.lang.Object value)` Method frequency behaves the same as `Collections.frequency(java.util.Collection, Object)`.
    `static Tuple` | `nulledCopy(Fields declarator, Tuple tuple, Fields selector)`
    `static Tuple` | `nulledCopy(TupleEntry tupleEntry, Fields selector)`
    `static Tuple` | `setOnEmpty(TupleEntry baseEntry, TupleEntry valuesEntry)`
    `static <T extends Tuple> T` | `setUnmodifiable(T tuple, boolean isUnmodifiable)`
    `static Tuple` | `tuple(java.lang.Object a)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e, java.lang.Object f)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e, java.lang.Object f, java.lang.Object g)` A utility function for use with Janino expressions to get around its lack of support for varargs.
    `static Tuple` | `tuple(java.lang.Object a, java.lang.Object b, java.lang.Object c, java.lang.Object d, java.lang.Object e, java.lang.Object f, java.lang.Object g, java.lang.Object h)` A utility function for use with Janino expressions to get around its lack of support for varargs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tuples

          public Tuples()

  - ### Method Detail

    - #### tuple

          public static Tuple tuple(java.lang.Object a)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c,
                    java.lang.Object d)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
        `d` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c,
                    java.lang.Object d,
                    java.lang.Object e)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
        `d` - of type Object
        `e` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c,
                    java.lang.Object d,
                    java.lang.Object e,
                    java.lang.Object f)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
        `d` - of type Object
        `e` - of type Object
        `f` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c,
                    java.lang.Object d,
                    java.lang.Object e,
                    java.lang.Object f,
                    java.lang.Object g)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
        `d` - of type Object
        `e` - of type Object
        `f` - of type Object
        `g` - of type Object
      Returns:
        a new Tuple

    - #### tuple

          public static Tuple tuple(java.lang.Object a,
                    java.lang.Object b,
                    java.lang.Object c,
                    java.lang.Object d,
                    java.lang.Object e,
                    java.lang.Object f,
                    java.lang.Object g,
                    java.lang.Object h)

      A utility function for use with Janino expressions to get around its lack of support for varargs.
      Parameters:
        `a` - of type Object
        `b` - of type Object
        `c` - of type Object
        `d` - of type Object
        `e` - of type Object
        `f` - of type Object
        `g` - of type Object
        `h` - of type Object
      Returns:
        a new Tuple

    - #### asArray

          public static <T> T[] asArray(Tuple tuple,
                        T[] destination)

      Method asArray copies the elements of the given Tuple instance to the given Object array.
      Parameters:
        `tuple` - of type Tuple
        `destination` - of type Object[]
      Returns:
        Object[]

    - #### asArray

          public static java.lang.Object[] asArray(Tuple tuple,
                                   CoercibleType[] coercions,
                                   java.lang.Class[] types,
                                   java.lang.Object[] destination)

    - #### asCollection

          public static java.util.Collection asCollection(Tuple tuple)

    - #### frequency

          public static int frequency(Tuple tuple,
                      java.lang.Object value)

      Method frequency behaves the same as `Collections.frequency(java.util.Collection, Object)`.

      This method is a convenient way to test for all null values in a tuple.
      Parameters:
        `tuple` - of type Tuple
        `value` - of type Object
      Returns:
        an int

    - #### frequency

          public static int frequency(TupleEntry tupleEntry,
                      java.lang.Object value)

      Method frequency behaves the same as `Collections.frequency(java.util.Collection, Object)`.

      This method is a convenient way to test for all null values in a tuple.
      Parameters:
        `tupleEntry` - of type TupleEntry
        `value` - of type Object
      Returns:
        an int

    - #### extractTuple

          public static Tuple extractTuple(TupleEntry tupleEntry,
                           Fields selector)

      Method extractTuple returns a new Tuple based on the given selector. But sets the values of the given TupleEntry to null.
      Parameters:
        `tupleEntry` - of type TupleEntry
        `selector` - of type Fields
      Returns:
        Tuple

    - #### extract

          public static Tuple extract(TupleEntry tupleEntry,
                      Fields selector)

      Method extract creates a new Tuple from the given selector, but sets the values in the current tuple to null.
      Parameters:
        `tupleEntry` - of type TupleEntry
        `selector` - of type Fields
      Returns:
        Tuple

    - #### nulledCopy

          public static Tuple nulledCopy(TupleEntry tupleEntry,
                         Fields selector)

    - #### nulledCopy

          public static Tuple nulledCopy(Fields declarator,
                         Tuple tuple,
                         Fields selector)

    - #### setOnEmpty

          public static Tuple setOnEmpty(TupleEntry baseEntry,
                         TupleEntry valuesEntry)

    - #### asUnmodifiable

          public static <T extends Tuple> T asUnmodifiable(T tuple)

      Method asUnmodifiable marks the given Tuple instance as unmodifiable.
      Parameters:
        `tuple` - of type Tuple
      Returns:
        Tuple

    - #### asModifiable

          public static <T extends Tuple> T asModifiable(T tuple)

      Method asModifiable marks the given Tuple instance as modifiable.
      Parameters:
        `tuple` - of type Tuple
      Returns:
        Tuple

    - #### setUnmodifiable

          public static <T extends Tuple> T setUnmodifiable(T tuple,
                                            boolean isUnmodifiable)

    - #### create

          public static Tuple create(java.util.List<java.lang.Object> arrayList)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.